/*
 * Copyright (C) 2019 Tianjin KYLIN Information Technology Co., Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/&gt;.
 *
 */

#include "keyeventcontrol.h"
#include <QWidget>
#include <QObject>
#include <QPushButton>
#include <QListWidget>

QPushButton* GetPBtnFocusCtrl(QWidget* widgets)
{
    QObjectList list = widgets->children();
    for(QObject* obj : list) {
        if(obj->inherits("QPushButton")) {
            QPushButton *b = qobject_cast<QPushButton*>(obj);
            if(b->hasFocus())
                return b;
        }

    }
}
QListWidget* GetLWFocusCtrl(QWidget *widget)
{
    QObjectList list = widget->children();
    for(QObject* obj : list) {
        if(obj->inherits("QListWidget")) {
            QListWidget *b = qobject_cast<QListWidget*>(obj);
            if(b->hasFocus())
                return b;
        }

    }
}
